package agentes;

import jade.core.AID;
import jade.core.Agent;
import jade.core.behaviours.TickerBehaviour;
import jade.core.behaviours.WakerBehaviour;
import jade.lang.acl.ACLMessage;

public class Comienzo extends Agent{

	 protected void setup() {
	
		    System.out.println("/////////////////RESTAURANTE/////////////////////");
			System.out.println();
			System.out.println("La escena comenzara en:");



		    // Cuenta atras para el comienzo de la escena
		    addBehaviour(new TickerBehaviour(this, 1000) {
		      protected void onTick() {
		        System.out.println("			" + (6-getTickCount()));
		      } 
		    });

		    // Cuando despierta elimina al agente y envia un mensaje a Max para que comience 
		    addBehaviour(new WakerBehaviour(this, 6000) {
		      protected void onWake() {
		         myAgent.doDelete();
		         AID id = new AID();
		         id.setLocalName("Cliente");

		     // Creacin del objeto ACLMessage
		         ACLMessage mensaje = new ACLMessage(ACLMessage.REQUEST);

		     //Rellenar los campos necesarios del mensaje
		         mensaje.setSender(getAID());
		         mensaje.addReceiver(id);
		         mensaje.setConversationId("empieza");
		        
		         send(mensaje);
		      } 
		    });
		  } 
	
}
